//! # `#[hdl] if` Statements
//!
//! `#[hdl] if` statements behave similarly to Rust `if` statements, except they end up as muxes
//! and stuff in the final hardware instead of being run when the fayalite module is being created.
//!
//! `#[hdl] if` statements' bodies must evaluate to type `()` for now.
//!
//! You can use `if`, `else`, `else if`, `if let`, and `else if let` as usual, with the `if let`
//! variants behaving like [`#[hdl] match`][match].
//!
//! [match]: super::hdl_match_statements
